package models

import "github.com/beego/beego/v2/client/orm"

type RoadshowData struct {
	Id                    int    `orm:"column(id);pk;"description:"主键ID"`
	Company               string `description:"公司名称"`
	UserName              string `description:"用户名"`
	UserPhone             string `description:"手机号"`
	UserinfoUource        string `description:"用户来源"`
	AuthInfo              string `description:"用户参会鉴权"`
	GuestUsername         string `description:"嘉宾名称, 多个用,隔开"`
	FirstWatchTime        string `description:"首次观看时间"`
	LastWatchTime         string `description:"最后观看时间"`
	RoadshowId            string `description:"路演ID"`
	RoadshowTitle         string `description:"路演标题"`
	RoadshowBeginTime     string `description:"路演开始时间"`
	RoadshowEndTime       string `description:"路演结束时间"`
	JoinTime              int    `description:"参与时长"`
	JoinType              int    `description:"参与方式, 1网络, 2电话"`
	DataType              int    `description:"数据类型: 1直播, 2回放"`
	Occupation            string `description:"职位"`
	UseridEntity          int    `description:"参会者身份. 1:主讲人, 2:主持人, 3:嘉宾, 4:普通参会者, 5:联席主讲人, 6:会议助理"`
	CrmCompanyMapStatusId int    `description:"转换后的对应状态信息：1=正式客户, 2=曾使用客户, 3=其他"`
}

// 获取列表
func GetJmcjRoadshowDataList(condition string, pars []interface{}) (list []*RoadshowData, err error) {
	if condition == "" {
		return
	}
	o := orm.NewOrmUsingDB("comein_data")
	sql := `SELECT * FROM roadshow_data WHERE  1= 1 `
	if condition != "" {
		sql += condition
	}
	_, err = o.Raw(sql, pars).QueryRows(&list)
	return
}
